Get a List of Configuration Element Instances

get

/rest/{versionId}/configuration/device-configs/{deviceId}/config-elements

Use this (GET) method to retrieve a list of configuration element instances for a specific element type (refer to Get an Element by Its Type). For example, requesting configuration element instances for NetworkInterface returns all the network-interface instances currently existing in the targeted device configuration.

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

List of configuration element instances retrieved successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

409 Response

The Device is of ME Product type.The Configuration Element Instances cannot be listed/seen.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get a List of Configuration Element Instances.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements"

The following example shows how to use Python to get a List of Configuration Element Instances.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "configElements": [
    {
      "attributes": [],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "pihlnu"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "commonName",
              "value": "localCert"
            },
            {
              "name": "name",
              "value": "localCert"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "digitalSignature"
                }
              ],
              "elementTypePath": "config/certRecord/keyUsageExt"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "keyEncipherment"
                }
              ],
              "elementTypePath": "config/certRecord/keyUsageExt"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "serverAuth"
                }
              ],
              "elementTypePath": "config/certRecord/extKeyUsageExt"
            }
          ],
          "elementTypePath": "config/certRecord"
        },
        {
          "attributes": [
            {
              "name": "commonName",
              "value": "localCertCA"
            },
            {
              "name": "name",
              "value": "localCertCA"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "digitalSignature"
                }
              ],
              "elementTypePath": "config/certRecord/keyUsageExt"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "keyEncipherment"
                }
              ],
              "elementTypePath": "config/certRecord/keyUsageExt"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "serverAuth"
                }
              ],
              "elementTypePath": "config/certRecord/extKeyUsageExt"
            }
          ],
          "elementTypePath": "config/certRecord"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "testTLSProfile"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "localCertCA"
                }
              ],
              "elementTypePath": "config/tlsProfile/trusted"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "DEFAULT"
                }
              ],
              "elementTypePath": "config/tlsProfile/cipher"
            }
          ],
          "elementTypePath": "config/tlsProfile"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "abisrira"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "policy1"
            }
          ],
          "elementTypePath": "config/policyConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "policy2"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "redirect1"
                }
              ],
              "elementTypePath": "config/policyConfig/redirectAction"
            },
            {
              "attributes": [
                {
                  "name": "name",
                  "value": "codec1"
                }
              ],
              "elementTypePath": "config/policyConfig/codecCondition"
            }
          ],
          "elementTypePath": "config/policyConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "pranayma"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "mustabas"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "ritabasu"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "subPortId",
              "value": "0"
            },
            {
              "name": "utilityAddress",
              "value": "192.0.2.10"
            },
            {
              "name": "secondUtilityAddress",
              "value": "192.0.2.10"
            },
            {
              "name": "ipAddress",
              "value": "192.0.2.10"
            },
            {
              "name": "name",
              "value": "test"
            },
            {
              "name": "family",
              "value": "4"
            }
          ],
          "elementTypePath": "config/networkInterface"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "test"
            }
          ],
          "elementTypePath": "config/mediaPolicy"
        },
        {
          "attributes": [
            {
              "name": "RealmID",
              "value": "realt_test11"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "transProtocol",
                  "value": "UDP"
                },
                {
                  "name": "port",
                  "value": "5060"
                }
              ],
              "elementTypePath": "config/sipInterface/sipPort"
            }
          ],
          "elementTypePath": "config/sipInterface"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "sushbasa"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "number",
              "value": "102"
            }
          ],
          "elementTypePath": "config/userNumber"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "gauravya"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": ""
            },
            {
              "name": "name",
              "value": "test-dc-corp"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "kankith"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "chetol8"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": "corporate"
            },
            {
              "name": "name",
              "value": "test"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "abhisikj"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa-rest2"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "anjalgup"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa-rest"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "sol2"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2000"
            },
            {
              "name": "communityName",
              "value": "test_TR"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "slaik"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "test1"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1753777267686"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1753787733674"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1753793227638"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1753848473251"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa6"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "abc1"
            }
          ],
          "elementTypePath": "config/additionalTargetGroup"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa2"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1754992495886"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:162"
            },
            {
              "name": "communityName",
              "value": "test1"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [],
          "elementTypePath": "config/ntpConfig"
        },
        {
          "attributes": [
            {
              "name": "number",
              "value": "103"
            }
          ],
          "elementTypePath": "config/userNumber"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": "test-dc-corp"
            },
            {
              "name": "name",
              "value": "child-corp"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "number",
              "value": "101"
            }
          ],
          "elementTypePath": "config/userNumber"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "chetol9"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1758719945399"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "priyprgu"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "aapaleka"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "testprod"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "rippaul"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_SanityTest"
            }
          ],
          "elementTypePath": "config/additionalTargetGroup"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "akashdes"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "ol9test"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "appProtocol",
              "value": "NONE"
            },
            {
              "name": "transProtocol",
              "value": "ALL"
            },
            {
              "name": "inRealm",
              "value": "realt_test11"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inSrc"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inDst"
            }
          ],
          "elementTypePath": "config/accessControl"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "soauddy"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "anil"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "aiskamat"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2000"
            },
            {
              "name": "communityName",
              "value": "aiskamat"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [],
          "elementTypePath": "config/authConfig"
        },
        {
          "attributes": [
            {
              "name": "appProtocol",
              "value": "SIP"
            },
            {
              "name": "transProtocol",
              "value": "ALL"
            },
            {
              "name": "inRealm",
              "value": "realt_test11"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inSrc"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inDst"
            }
          ],
          "elementTypePath": "config/accessControl"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realt_test11"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "enum1"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/EnumConfig/enumServers"
            }
          ],
          "elementTypePath": "config/EnumConfig"
        },
        {
          "attributes": [
            {
              "name": "slot",
              "value": "1"
            },
            {
              "name": "port",
              "value": "2"
            },
            {
              "name": "name",
              "value": "test"
            },
            {
              "name": "operationType",
              "value": "Media"
            }
          ],
          "elementTypePath": "config/phyInterfaceConfig"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "test_realm"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "lo0"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qa4"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "qafinal"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "ksanil"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": "test-dc-corp"
            },
            {
              "name": "name",
              "value": "restapi"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "prefix",
                  "value": "2"
                },
                {
                  "name": "pattern",
                  "value": "1"
                }
              ],
              "elementTypePath": "config/dialingContext/dialPattern"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "appProtocol",
              "value": "NONE"
            },
            {
              "name": "transProtocol",
              "value": "ALL"
            },
            {
              "name": "inRealm",
              "value": "realt_test11"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "1"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "1"
                }
              ],
              "elementTypePath": "config/accessControl/inSrc"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "1"
                },
                {
                  "name": "numPortBits",
                  "value": "2"
                },
                {
                  "name": "numberOfBits",
                  "value": "2"
                }
              ],
              "elementTypePath": "config/accessControl/inDst"
            }
          ],
          "elementTypePath": "config/accessControl"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "anshu"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "kanhakum"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "test123"
            },
            {
              "name": "keyType",
              "value": "local-key"
            }
          ],
          "elementTypePath": "config/sshPubKeyRecord"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "testnew123"
            },
            {
              "name": "keyType",
              "value": "local-key"
            }
          ],
          "elementTypePath": "config/sshPubKeyRecord"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": "test-dc-corp"
            },
            {
              "name": "name",
              "value": "automationChildElement"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2002"
            },
            {
              "name": "communityName",
              "value": "test"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2000"
            },
            {
              "name": "communityName",
              "value": "test"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm2"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "lo0"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [],
          "elementTypePath": "config/sipConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1767777244207"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "server",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/acctConfig/cdrPushReceiver"
            },
            {
              "attributes": [
                {
                  "name": "hostname",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "1813"
                }
              ],
              "elementTypePath": "config/acctConfig/acctServer"
            },
            {
              "attributes": [
                {
                  "name": "hostname",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "1813"
                }
              ],
              "elementTypePath": "config/acctConfig/acctServer"
            }
          ],
          "elementTypePath": "config/acctConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "kashyap"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "srekatar"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768224586754"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "veparekh"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "1"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768235868342"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2002"
            },
            {
              "name": "communityName",
              "value": "srekatar"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "server",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "22"
                }
              ],
              "elementTypePath": "config/auditLogging/auditPushReceiver"
            }
          ],
          "elementTypePath": "config/auditLogging"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768303756537"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/systemConfig/syslogServer"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/systemConfig/syslogServer"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/systemConfig/syslogServer"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/systemConfig/syslogServer"
            },
            {
              "attributes": [
                {
                  "name": "pushInt",
                  "value": "15"
                },
                {
                  "name": "mode",
                  "value": "disabled"
                },
                {
                  "name": "redCollectPort",
                  "value": "disabled"
                },
                {
                  "name": "sampleInt",
                  "value": "5"
                },
                {
                  "name": "redNumTrans",
                  "value": "1000"
                },
                {
                  "name": "redSyncCompTime",
                  "value": "1000"
                },
                {
                  "name": "startTime",
                  "value": "now"
                },
                {
                  "name": "endTime",
                  "value": "never"
                },
                {
                  "name": "pushSuccessTrapEnabledState",
                  "value": "disabled"
                },
                {
                  "name": "redSyncStartTime",
                  "value": "5000"
                }
              ],
              "elementTypePath": "config/systemConfig/collectConfig"
            },
            {
              "attributes": [],
              "elementTypePath": "config/systemConfig/commMonitor"
            },
            {
              "attributes": [
                {
                  "name": "severity",
                  "value": "minor"
                },
                {
                  "name": "type",
                  "value": "cpu"
                }
              ],
              "elementTypePath": "config/systemConfig/alarmThreshold"
            },
            {
              "attributes": [
                {
                  "name": "severity",
                  "value": "critical"
                },
                {
                  "name": "type",
                  "value": "cpu"
                }
              ],
              "elementTypePath": "config/systemConfig/alarmThreshold"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/systemConfig/monitorCollector"
            }
          ],
          "elementTypePath": "config/systemConfig"
        },
        {
          "attributes": [
            {
              "name": "RealmID",
              "value": "test_realm"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "transProtocol",
                  "value": "UDP"
                },
                {
                  "name": "port",
                  "value": "5060"
                }
              ],
              "elementTypePath": "config/sipInterface/sipPort"
            }
          ],
          "elementTypePath": "config/sipInterface"
        },
        {
          "attributes": [
            {
              "name": "RealmID",
              "value": "realm"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "transProtocol",
                  "value": "TCP"
                },
                {
                  "name": "port",
                  "value": "5060"
                }
              ],
              "elementTypePath": "config/sipInterface/sipPort"
            }
          ],
          "elementTypePath": "config/sipInterface"
        },
        {
          "attributes": [
            {
              "name": "hostname",
              "value": "abc"
            }
          ],
          "elementTypePath": "config/sessionAgent"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm3"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768379096322"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm4"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm5"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm6"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768487230212"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_filterConfig_1768497106315"
            }
          ],
          "elementTypePath": "config/filterConfig"
        },
        {
          "attributes": [
            {
              "name": "name",
              "value": "restAutomation_test"
            }
          ],
          "elementTypePath": "config/additionalTargetGroup"
        },
        {
          "attributes": [
            {
              "name": "parent",
              "value": "test"
            },
            {
              "name": "name",
              "value": "restAutomation_Test"
            }
          ],
          "elementTypePath": "config/dialingContext"
        },
        {
          "attributes": [
            {
              "name": "ipAddrHostName",
              "value": "192.0.2.10:2002"
            },
            {
              "name": "communityName",
              "value": "srekatar"
            }
          ],
          "elementTypePath": "config/trapReceiver"
        },
        {
          "attributes": [
            {
              "name": "communityName",
              "value": "anurag"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            },
            {
              "attributes": [
                {
                  "name": "numBits",
                  "value": "0"
                },
                {
                  "name": "addr",
                  "value": "192.0.2.10"
                }
              ],
              "elementTypePath": "config/snmpCommunity/ipAddresses"
            }
          ],
          "elementTypePath": "config/snmpCommunity"
        },
        {
          "attributes": [
            {
              "name": "appProtocol",
              "value": "SIP"
            },
            {
              "name": "transProtocol",
              "value": "ALL"
            },
            {
              "name": "inRealm",
              "value": "test_realm"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inSrc"
            },
            {
              "attributes": [
                {
                  "name": "address",
                  "value": "192.0.2.10"
                },
                {
                  "name": "port",
                  "value": "0"
                },
                {
                  "name": "numPortBits",
                  "value": "0"
                },
                {
                  "name": "numberOfBits",
                  "value": "0"
                }
              ],
              "elementTypePath": "config/accessControl/inDst"
            }
          ],
          "elementTypePath": "config/accessControl"
        },
        {
          "attributes": [
            {
              "name": "id",
              "value": "realm10"
            }
          ],
          "childrenElements": [
            {
              "attributes": [
                {
                  "name": "subPortId",
                  "value": "0"
                },
                {
                  "name": "name",
                  "value": "test"
                },
                {
                  "name": "family",
                  "value": "4"
                }
              ],
              "elementTypePath": "config/realmConfig/networkInterfaceId"
            }
          ],
          "elementTypePath": "config/realmConfig"
        }
      ],
      "elementTypePath": "config"
    }
  ],
  "pageInfo": {
    "limitation": 50,
    "numberOfElements": 1,
    "offset": 1
  }
}

Example 2 of Accessing this API

This example shows a response with the elementTypePath parameter set to snmpCommunity and sorting in descending order by the communityName attribute.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements?sort=communityName&elementTypePath=snmpCommunity&ascending=false"

The following shows an example response.

{
  "configElements": [
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "veparekh"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "1"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "testprod"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "test1"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "sushbasa"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "srekatar"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "sol2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "soauddy"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "slaik"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "ritabasu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "rippaul"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qafinal"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa6"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa4"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa-rest2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa-rest"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "priyprgu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "pranayma"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "pihlnu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "ol9test"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "mustabas"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "ksanil"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "kashyap"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "kankith"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "kanhakum"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "gauravya"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "chetol9"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "chetol8"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "anurag"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "anshu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "anjalgup"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "anil"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "akashdes"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "aiskamat"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "abisrira"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "abhisikj"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "aapaleka"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    }
  ],
  "pageInfo": {
    "limitation": 50,
    "numberOfElements": 38,
    "offset": 1
  }
}

Example 3 of Accessing this API

This example shows a response with the elementTypePath parameter set to snmpCommunity, the limitations set to 20 with an offset of 2 and sorting in ascending order by the communityName attribute.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/config-elements?limitation=20&offset=2&sort=communityName&elementTypePath=snmpCommunity&ascending=true"

The following shows an example response.

{
  "configElements": [
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "priyprgu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa-rest"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa-rest2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        },
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa4"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qa6"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "qafinal"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "rippaul"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "ritabasu"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "slaik"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "soauddy"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "sol2"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "srekatar"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "sushbasa"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "test1"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "testprod"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "0"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    },
    {
      "attributes": [
        {
          "name": "communityName",
          "value": "veparekh"
        }
      ],
      "childrenElements": [
        {
          "attributes": [
            {
              "name": "numBits",
              "value": "1"
            },
            {
              "name": "addr",
              "value": "192.0.2.10"
            }
          ],
          "elementTypePath": "snmpCommunity/ipAddresses"
        }
      ],
      "elementTypePath": "snmpCommunity"
    }
  ],
  "pageInfo": {
    "limitation": 20,
    "numberOfElements": 38,
    "offset": 2
  }
}
Back to Top